2.2.0 breaks 2.6 compatibility

Issue #1320 resolved